package com.zayac.admin.system.model.entity;

import java.io.Serial;

import com.zayac.admin.common.enums.DisEnableStatusEnum;
import lombok.Data;

import com.baomidou.mybatisplus.annotation.TableName;

import top.continew.starter.extension.crud.model.entity.BaseDO;

/**
 * 账号实体
 *
 * @author zayac
 * @since 2024/05/10 20:44
 */
@Data
@TableName("sys_account")
public class AccountDO extends BaseDO {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 账号昵称
     */
    private String nickname;

    /**
     * 账号
     */
    private String username;

    /**
     * 密码
     */
    private String password;

    /**
     * headers
     */
    private String headers;

    /**
     * 状态（1：启用；2：禁用)
     */
    private DisEnableStatusEnum status;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 平台ID
     */

    private Long platformId;
}