package com.zayac.admin.system.service.impl;

import cn.hutool.core.collection.CollUtil;
import com.zayac.admin.common.model.resp.LabelValueResp;
import com.zayac.admin.system.model.resp.RoleResp;
import lombok.RequiredArgsConstructor;

import org.springframework.stereotype.Service;

import top.continew.starter.extension.crud.service.impl.BaseServiceImpl;
import com.zayac.admin.system.mapper.PlatformMapper;
import com.zayac.admin.system.model.entity.PlatformDO;
import com.zayac.admin.system.model.query.PlatformQuery;
import com.zayac.admin.system.model.req.PlatformReq;
import com.zayac.admin.system.model.resp.PlatformDetailResp;
import com.zayac.admin.system.model.resp.PlatformResp;
import com.zayac.admin.system.service.PlatformService;

import java.util.ArrayList;
import java.util.List;

/**
 * 平台业务实现
 *
 * @author zayac
 * @since 2024/05/14 12:28
 */
@Service
@RequiredArgsConstructor
public class PlatformServiceImpl extends BaseServiceImpl<PlatformMapper, PlatformDO, PlatformResp, PlatformDetailResp, PlatformQuery, PlatformReq> implements PlatformService {
    @Override
    public PlatformDO getByName(String name) {
        return baseMapper.selectByName(name);
    }

    @Override
    public PlatformDO getByPlatformId(Integer platformId) {
        return baseMapper.selectByPlatformId(platformId);
    }

    @Override
    public List<LabelValueResp<Long>> buildDict(List<PlatformResp> list) {
        if (CollUtil.isEmpty(list)) {
            return new ArrayList<>(0);
        }
        return list.stream().map(r -> new LabelValueResp<>(r.getName(), r.getId())).toList();
    }
}